//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 3 textures and 5 primitives.
//
//

//  (C) 1997 by Christian Ordig <chr.ordig@gmx.net>


// Scene Includes

#include "SpecialFX.inc"

// End Scene Includes

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.051> }

camera {  //  Camera StdCam
  location  <0.000, -5.650, 0.000>
  direction <0.0,     0.0,  1.8317>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <0.000, 0.150, 0.000>
}

//
// *******  L I G H T S *******
//

light_source {   // Sonne
  <1.000, 2.950, 0.900>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light1
  <-2.150, -4.150, 4.000>
  color rgb <0.750, 0.750, 0.750>
}


//
// ********  TEXTURES  *******
//

#include "erde.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

sphere { // Explosion
  <0,0,0>,1
  texture {
    Explosion
  }
  hollow
  scale 2.0
}


#include "erde.in1"
#declare TrnglMesh001 = object {
  TrnglMesh001_Raw
  scale <1.0, 1.0, 0.9>
}
union { // Group001
  object { TrnglMesh001 }
  texture {
    MOVEMTextur
  }
  scale 0.006
  rotate -20.0*y
  translate  -1.0*y
}




sphere { // Erde
  <0,0,0>,1
  texture {
    EarthMap
  }
  rotate -90.0*z
}




